import 'package:flutter/material.dart';

class AppInputDecorations {
  static InputDecoration dropdownDecoration({String? label, String? hint}) {
    return InputDecoration(
      labelText: label,
      labelStyle: TextStyle(fontSize: 12, color: Colors.grey),
      hintText: hint,
      filled: true,
      fillColor: const Color(0xFFECECEC),

      contentPadding: const EdgeInsets.symmetric(vertical: 14, horizontal: 1),
      border: OutlineInputBorder(
        borderRadius: BorderRadius.circular(10),
        borderSide: const BorderSide(color: Color(0xFFFFFFFF)),
      ),
      errorStyle: const TextStyle(color: Colors.red, fontSize: 12),
      enabledBorder: OutlineInputBorder(
        borderRadius: BorderRadius.circular(10),

        borderSide: const BorderSide(color: Color(0xFFFFFFFF), width: 1),
      ),
      focusedBorder: OutlineInputBorder(
        borderRadius: BorderRadius.circular(10),
        borderSide: const BorderSide(color: Color(0xFF50A398), width: 2),
      ),

      errorBorder: OutlineInputBorder(
        borderRadius: BorderRadius.circular(10),
        borderSide: const BorderSide(color: Color(0xFFD83731), width: 1),
      ),
      focusedErrorBorder: OutlineInputBorder(
        borderRadius: BorderRadius.circular(10),
        borderSide: const BorderSide(color: Color(0xFFD83731), width: 2),
      ),
      floatingLabelBehavior: FloatingLabelBehavior.never,
    );
  }
}
